package com.chenyang.druid.sql.dialect.mysql.ast.clause;

import com.chenyang.druid.sql.ast.SQLObject;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlStatementImpl;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import java.util.Collections;
import java.util.List;

public class MySqlLeaveStatement extends MySqlStatementImpl {
   private String labelName;

   public MySqlLeaveStatement() {
   }

   public MySqlLeaveStatement(String labelName) {
      this.labelName = labelName;
   }

   public void accept0(MySqlASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public String getLabelName() {
      return this.labelName;
   }

   public void setLabelName(String labelName) {
      this.labelName = labelName;
   }

   public List<SQLObject> getChildren() {
      return Collections.emptyList();
   }
}
